Bug 578149 (CVE-2010-0175) - CVE-2010-0175 Mozilla remote code execution with use-after-free in nsTreeSelection
Summary: CVE-2010-0175 Mozilla remote code execution with use-after-free in nsTreeSele...
Status: CLOSED ERRATA
Alias: CVE-2010-0175
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100330,reported=20100316,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-30 12:14 UTC by Josh Bressers
Modified: 2019-06-08 12:58 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-12 21:39:09 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0332 normal SHIPPED_LIVE Critical: firefox security update 2010-03-30 23:28:54 UTC
Red Hat Product Errata RHSA-2010:0333 normal SHIPPED_LIVE Critical: seamonkey security update 2010-03-30 23:04:21 UTC
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-21 01:39:35 UTC
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-21 01:18:47 UTC

Description Josh Bressers 2010-03-30 12:14:29 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that a select event handler for XUL tree items could be called
after the tree item was deleted. This results in the execution of
previously freed memory which an attacker could use to crash a victim's
browser and run arbitrary code on the victim's computer.

Comment 1 Josh Bressers 2010-03-30 20:47:16 UTC
This is now public
http://www.mozilla.org/security/announce/2010/mfsa2010-17.html

Comment 2 errata-xmlrpc 2010-03-30 23:04:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2010:0333 https://rhn.redhat.com/errata/RHSA-2010-0333.html

Comment 3 errata-xmlrpc 2010-03-30 23:29:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2010:0332 https://rhn.redhat.com/errata/RHSA-2010-0332.html

Comment 4 Fedora Update System 2010-03-31 08:12:18 UTC
epiphany-extensions-2.26.1-11.fc11,yelp-2.26.0-12.fc11,google-gadgets-0.11.1-6.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.10,Miro-2.5.4-3.fc11,mozvoikko-0.9.7-0.12.rc1.fc11,kazehakase-0.5.8-5.fc11.1,gnome-python2-extras-2.25.3-12.fc11,galeon-2.0.7-22.fc11,hulahop-0.4.9-13.fc11,gnome-web-photo-0.7-11.fc11,evolution-rss-0.1.4-11.fc11,chmsee-1.0.1-16.fc11,blam-1.8.5-19.fc11,epiphany-2.26.3-9.fc11,pcmanx-gtk2-0.3.9-4.20100222svn.fc11,firefox-3.5.9-1.fc11,xulrunner-1.9.1.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/epiphany-extensions-2.26.1-11.fc11,yelp-2.26.0-12.fc11,google-gadgets-0.11.1-6.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.10,Miro-2.5.4-3.fc11,mozvoikko-0.9.7-0.12.rc1.fc11,kazehakase-0.5.8-5.fc11.1,gnome-python2-extras-2.25.3-12.fc11,galeon-2.0.7-22.fc11,hulahop-0.4.9-13.fc11,gnome-web-photo-0.7-11.fc11,evolution-rss-0.1.4-11.fc11,chmsee-1.0.1-16.fc11,blam-1.8.5-19.fc11,epiphany-2.26.3-9.fc11,pcmanx-gtk2-0.3.9-4.20100222svn.fc11,firefox-3.5.9-1.fc11,xulrunner-1.9.1.9-1.fc11

Comment 5 Fedora Update System 2010-03-31 08:14:34 UTC
Miro-2.5.4-3.fc12,galeon-2.0.7-22.fc12,gnome-python2-extras-2.25.3-17.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.12,gnome-web-photo-0.9-6.fc12,mozvoikko-1.0-9.fc12,firefox-3.5.9-1.fc12,xulrunner-1.9.1.9-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/Miro-2.5.4-3.fc12,galeon-2.0.7-22.fc12,gnome-python2-extras-2.25.3-17.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.12,gnome-web-photo-0.9-6.fc12,mozvoikko-1.0-9.fc12,firefox-3.5.9-1.fc12,xulrunner-1.9.1.9-1.fc12

Comment 6 Fedora Update System 2010-03-31 08:22:07 UTC
thunderbird-3.0.4-1.fc11,sunbird-1.0-0.16.20090715hg.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc11,sunbird-1.0-0.16.20090715hg.fc11

Comment 7 Fedora Update System 2010-03-31 08:25:41 UTC
thunderbird-3.0.4-1.fc13,sunbird-1.0-0.21.20090916hg.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc13,sunbird-1.0-0.21.20090916hg.fc13

Comment 8 Fedora Update System 2010-03-31 08:25:41 UTC
thunderbird-3.0.4-1.fc12,sunbird-1.0-0.21.20090916hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/thunderbird-3.0.4-1.fc12,sunbird-1.0-0.21.20090916hg.fc12

Comment 9 Fedora Update System 2010-04-01 01:44:43 UTC
Miro-2.5.4-3.fc12, galeon-2.0.7-22.fc12, gnome-python2-extras-2.25.3-17.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.12, gnome-web-photo-0.9-6.fc12, mozvoikko-1.0-9.fc12, firefox-3.5.9-1.fc12, xulrunner-1.9.1.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-01 01:48:00 UTC
epiphany-extensions-2.26.1-11.fc11, yelp-2.26.0-12.fc11, google-gadgets-0.11.1-6.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.10, Miro-2.5.4-3.fc11, mozvoikko-0.9.7-0.12.rc1.fc11, kazehakase-0.5.8-5.fc11.1, gnome-python2-extras-2.25.3-12.fc11, galeon-2.0.7-22.fc11, hulahop-0.4.9-13.fc11, gnome-web-photo-0.7-11.fc11, evolution-rss-0.1.4-11.fc11, chmsee-1.0.1-16.fc11, blam-1.8.5-19.fc11, epiphany-2.26.3-9.fc11, pcmanx-gtk2-0.3.9-4.20100222svn.fc11, firefox-3.5.9-1.fc11, xulrunner-1.9.1.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-01 01:52:46 UTC
thunderbird-3.0.4-1.fc11, sunbird-1.0-0.16.20090715hg.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-01 01:54:52 UTC
thunderbird-3.0.4-1.fc12, sunbird-1.0-0.21.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-01 17:18:25 UTC
thunderbird-3.0.4-1.fc13, sunbird-1.0-0.21.20090916hg.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-02 19:38:36 UTC
seamonkey-2.0.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/seamonkey-2.0.4-1.fc12

Comment 15 Fedora Update System 2010-04-02 19:39:47 UTC
seamonkey-2.0.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/seamonkey-2.0.4-1.fc13

Comment 16 Fedora Update System 2010-04-03 04:34:34 UTC
seamonkey-2.0.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-09 04:12:35 UTC
seamonkey-2.0.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2010-07-21 01:19:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html

Comment 19 errata-xmlrpc 2010-07-21 01:39:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html


Note You need to log in before you can comment on or make changes to this bug.